`DELETE /api/apps/{id}/deployment/token` -- revoke the per-deployment App API token (supacloud#410 / ADR 0041). Owner-only (workspace admin). Idempotent.
DELETE
/api/apps/{id}/deployment/token
const url = 'https://example.com/api/apps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/deployment/token';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/apps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/deployment/tokenParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
DELETE /apps/{id}/deployment/token response.
object
revoked
required
Whether the token was revoked.
boolean
Examplegenerated
{ "revoked": true}